# store
NOT_EXIST_STORE_ID = 'No existe una tienda con identificador {}'
NOT_ACTIVE_STORE = 'Su tienda no está activa'
ALREADY_EXIST_STORE_ID = 'Tienda con identificador {} ya registrada'
ALREADY_EXIST_STORE_CLIENT_ID = 'Tienda con Client Id: {} ya registrada'
ALREADY_EXIST_STORE_CLIENT_SECRET = 'Tienda con Client Secret: {} ya registrada'
CANT_INSERT_STORE = 'No pudo ser registrada la tienda'
INSERT_STORE_WITHOUT_RUC = 'No puede insertar una tienda sin RUC'
EDIT_STORE_WITHOUT_RUC = 'No puede dejar una tienda sin RUC'
INSERT_STORE_WITHOUT_STABLISHMENT_NUMBER = 'No puede insertar una tienda sin número de establecimiento'
EDIT_STORE_WITHOUT_STABLISHMENT_NUMBER = 'No puede dejar una tienda sin número de establecimiento'
STORE_UPDATE_SUCCESS = 'Tienda actualizada exitosamente'
STORE_NOT_UPDATE_SUCCESS = 'Tienda no pudo ser actualizada'
STORE_NOT_RELATED = 'Su tienda no está relacionada con el agregador o no tienen el atributo que lo identifica en el mismo'
STORE_NOT_URL_BASE = 'No fue posible obtener las url base del API del agregador'
STORE_NOT_ACTIVE_MODE = 'Su tienda no tiene el modo seleccionado activo'

# menu
NOT_UPDATE_MENU = 'El menú no pudo ser actualizado'
NOT_EXIST_MENU_BY_PARAMS = 'No existe un menú con esos parámetros'
NOT_GET_MENU_STATUS = 'No pudo ser obtenido el estado del menú'
MANY_EXIST_MENU_BY_PARAMS = 'Existe más de un menú con esos parámetros'
NOT_UPDATE_PARAM_STATUS_AGGREGATOR_MENU = 'No pudo ser actualizado el atributo del estado del menú en el agregador'
NOT_ID_MENU = 'Debe proveher el identificador del menú'
UPDATE_MENU_SUCCESS = 'Menú actualizado exitosamente'
NOT_EXIST_MENU_ID = 'No existe un menú con identificador {}'
NOT_RELATED_ID = 'Su tienda no tiene asignado el atributo que lo identifica en el agregador {}'
ERRORS_MENU_DATA = 'Error en los datos del menú'

# order
NOT_EXIST_ORDER_ID = 'No existe una orden con identificador {}'
NOT_EXIST_ORDER_BY_PARAMS = 'No existe una orden esos parámetros'
MANY_EXIST_ORDER_BY_PARAMS = 'Existe más de una orden con esos parámetros'
ORDER_ALREADY_INSERTED = 'La orden con identificador {} no pudo ser insertada'
ORDER_WITHOUT_TRANSACTION_NUMBER = 'La orden no puede ser aceptada sin número de transacción'
ORDER_WITHOUT_DATE_PROCESSED = 'La orden no puede ser aceptada sin fecha de procesamiento'
ORDER_UPDATE_STATUS_SUCCESS = 'Orden actualizada exitosamente'
ORDER_UPDATE_STATUS_TAKEN = 'Estado de la orden actualizado exitosamente a TAKEN'
ORDER_UPDATE_STATUS_REJECTED = 'Estado de la orden actualizado exitosamente a REJECTED'
ORDER_NOT_UPDATED_STATUS_REJECTED = 'No pudo ser actualizado el estado de la orden a REJECTED'
ORDER_UPDATED_STATUS_READY_PICK = 'Estado de la orden actualizado exitosamente a READY_FOR_PICKUP'
ORDER_NOT_UPDATED_STATUS_READY_PICK = 'No pudo ser actualizado el estado de la orden a READY_FOR_PICKUP'
ORDER_NOT_UPDATED_STATUS_TAKEN = 'No pudo ser actualizado el estado de la orden a TAKEN'
NOT_RECEIVED_ANY_ORDER = 'No fue recibida ninguna orden'
ALL_ORDER_INSERTED_OK = 'Todas las órdenes fueron insertadas exitosamente'
NOT_ALL_ORDER_INSERTED_OK = 'Todas las órdenes no fueron insertadas exitosamente'
DONT_ORDERS_PROCESSED_ACCESS = 'Usted no puede acceder a las órdenes procesadas para la fecha activa {}'
DONT_ORDERS_OPEN_ACCESS = 'Usted no puede acceder a las nuevas órdenes para la fecha activa {}'
UNKNOW_STATUS_PIXEL = 'Estado de orden desconocido'
UNKNOW_STATUS_FINAL = 'Estado final de orden desconocido'
ERROR_UPDATE_ORDER = 'Error actualizando la orden'
NOT_GET_OREDER_EVENTS = 'No pudieron ser obtenidos los eventos de la orden'

# aggregator
AGGREGATOR_NOT_EXIST = 'No existe un agregador llamado {}'
NOT_EXIST_AGGREGATOR_ID = 'No existe un agregador con identificador {}'
ALREADY_EXIST_AGGREGATOR_NAME = 'Agregador con nombre {} ya registrado'
ALREADY_EXIST_AGGREGATOR_CODE = 'Agregador con código {} ya registrado'
INSERT_AGGREGATOR_WITHOUT_NAME = 'No puede registrar un agregador sin nombre'
INSERT_AGGREGATOR_WITHOUT_CODE = 'No puede registrar un agregador sin código'
AGGREGATOR_WITHOUT_DEVELOP_URL = 'Su agregador {} no tiene definida la URL de desarrollo'
AGGREGATOR_WITHOUT_PRODUCTION_URL = 'Su agregador {} no tiene definida la URL de producción'

PRODUCT_UPDATE_SUCCESS = 'Productos actualizados exitosamente'
PRODUCT_NOT_UPDATE_SUCCESS = 'Productos no actualizados'
PRODUCT_NOT_INSERTED = 'Los productos de la orden con identificador {} no pudieron ser insertados'

NOT_RELATION_STORE_AGGREGATOR = 'Su tienda no tiene relación con el agregador {}'
NOT_RECEIVED_START_RANGE = 'Debe probeherse una fecha para el filtrado de las órdenes'
NOT_RECEIVED_ACTIVE_DATE = 'Debe probeherse una fecha para el filtrado de las órdenes'
WRONG_DATE_FORMAT = 'Formato de fecha incorrecto, deberia ser %Y-%m-%dT%H:%M:%SZ'

NOT_ACTIVATE_PRODUCTION_MODE = 'Su tienda no tiene el modo de producción habilitado'
NOT_ACTIVATE_DEVELOP_MODE = 'Su tienda no tiene el modo de desarrollo habilitado'
ERROR_CREDENTIALS = 'Error en las credenciales de {}'

UPDATE_MENU_IMAGES_SUCCESS = 'Imágenes actualizadas correctamente'
UPDATE_MENU_IMAGES_NOT_SUCCESS = 'No pudieron ser actualizadas todas las imágenes'
